Vocabulary (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: Vocabulary

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class Vocabulary

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyImmutable
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Vocabulary

All Implemented Interfaces:
  `IVocabulary`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

public class Vocabulary extends VocabularyImmutable implements IVocabulary

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vocabulary(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Vocabulary vocabulary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTerm(IVocabularyTerm term)`
  adds a vocabulary term to the dictionary.
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable>`
  `getTerms()`
  `void`
  `setChosenFromList(boolean isChosenFromList)`
  `void`
  `setDescription(String description)`
  Sets the vocabulary description.
  `void`
  `setInternalNamespace(boolean isInternalNamespace)`
  Deprecated.
  use `VocabularyImmutable.isManagedInternally()`
  `void`
  `setManagedInternally(boolean isManagedInternally)`
  Set to `true` if the vocabulary is managed internally in openBIS.
  `void`
  `setUrlTemplate(String urlTemplate)`
  Sets a URL template (e.g a search query) that can display additional information for the concrete vocabulary terms.

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyImmutable

  `containsTerm, getCode, getDescription, getUrlTemplate, getVocabulary, isChosenFromList, isInternalNamespace, isManagedInternally`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable

  `containsTerm, getCode, getDescription, getUrlTemplate, isChosenFromList, isInternalNamespace, isManagedInternally`

- ## Constructor Details

  - ### Vocabulary

    public Vocabulary(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Vocabulary vocabulary)

- ## Method Details

  - ### setDescription

    public void setDescription(String description)
    Description copied from interface: `IVocabulary`
    Sets the vocabulary description.
    Specified by:
      `setDescription` in interface `IVocabulary`

  - ### setManagedInternally

    public void setManagedInternally(boolean isManagedInternally)
    Description copied from interface: `IVocabulary`
    Set to `true` if the vocabulary is managed internally in openBIS.
    Specified by:
      `setManagedInternally` in interface `IVocabulary`

  - ### setInternalNamespace

    @Deprecated public void setInternalNamespace(boolean isInternalNamespace)
    Deprecated.
    use `VocabularyImmutable.isManagedInternally()`
    Description copied from interface: `IVocabulary`
    Set to `true` if the vocabulary is in the internal openBIS namespace.
    Specified by:
      `setInternalNamespace` in interface `IVocabulary`

  - ### setChosenFromList

    public void setChosenFromList(boolean isChosenFromList)
    Specified by:
      `setChosenFromList` in interface `IVocabulary`

  - ### setUrlTemplate

    public void setUrlTemplate(String urlTemplate)
    Description copied from interface: `IVocabulary`
    Sets a URL template (e.g a search query) that can display additional information for the concrete vocabulary terms.
    Specified by:
      `setUrlTemplate` in interface `IVocabulary`

  - ### addTerm

    public void addTerm(IVocabularyTerm term)
    Description copied from interface: `IVocabulary`
    adds a vocabulary term to the dictionary.
    Specified by:
      `addTerm` in interface `IVocabulary`

  - ### getTerms

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable> getTerms()
    Specified by:
      `getTerms` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`
    Overrides:
      `getTerms` in class `VocabularyImmutable`